<?php 
$date = date("j") ;
$month = date("n") ;
include("../config.inc.php") ;
mysql_select_db($db) ;
?>

<meta http-equiv="Content-Type" content="text/html; charset=tis-620">
<title>Send mail For member</title>
<body background="../image/bg_member.gif" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<?php
function form_edit() { // ฟังก์ชั่นแบบฟอร์ในการบันทึกข้อความใหม่ 
 ?>
<div align="center"> 
  <form name="form1" method="post" action="program_mail.php">
    <table width="450" border="0" align="center" cellpadding="3" cellspacing="1" bgcolor="#6666FF">
      <tr> 
        <td colspan="2" bgcolor="#6666FF"><div align="center"><font color="#FFFFFF" size="3" face="MS Sans Serif, Tahoma, sans-serif"><strong><img src="../image/w1.gif" width="19" height="19" align="absmiddle">&nbsp;บันทึกข้อความในการส่งเมล์อวยพรวันเกิด 
            <img src="../image/w1.gif" width="19" height="19" align="absmiddle"> 
            </strong></font></div></td>
      </tr>
      <tr bgcolor="#FFFFFF"> 
        <td> <font size="3" face="MS Sans Serif, Tahoma, sans-serif">หัวข้อ</font></td>
        <td> <input name="subject" type="text" size="50" maxlength="150"> </td>
      </tr>
      <tr> 
        <td bgcolor="#FFFFFF"><font size="3" face="MS Sans Serif, Tahoma, sans-serif">ข้อความ</font></td>
        <td bgcolor="#FFFFFF"> <font size="3" face="MS Sans Serif, Tahoma, sans-serif"> 
          <textarea name="message" cols="50" rows="10" id="message"></textarea>
          </font></td>
      </tr>
      <tr> 
        <td colspan="2" bgcolor="#FFFFFF"><div align="center"> 
            <input name="submit" type="submit" id="submit" value="จัดเก็บข้อความ">
            &nbsp; 
            <input name="clear" type="reset" id="clear" value= " เคลียร์ ">
            <input name="click" type="hidden" id="click" value="click">
          </div></td>
      </tr>
    </table>
  </form>
  <br>
  <font size="2" face="MS Sans Serif, Tahoma, sans-serif"><strong><a href="mail_member.php">กลับไปดูข้อความเก่า 
  </a> </strong></font></div>
<?php
 }  // จบฟังก์ชั่นแบบฟอร์ม


function checkmessage($subject,$message) { //function บันทึกข้อความใหม่ หรือ แก้ไข
if(isset($message) and isset($subject)) {
$message = htmlspecialchars($message) ;
$message = nl2br($message) ;

$result = mysql_query("select count(*) from mail") ;
$count = mysql_result($result,0) ;
if($count==0) {
$result = mysql_query("insert into mail (subject,form_mail) values ('$subject','$message')") ;
if($result) {
echo "<center><br><br><font size='3' face='MS Sans Serif'><b>บันทึกข้อความเรียบร้อยแล้วครับ ระบบกำลังจะพาคุณไปสู่หน้าการส่งอีเมล์</b></font></center>" ;
echo "<meta http-equiv='refresh' content='3; url=mail_member.php'>" ;
exit() ;
}
else {
echo "มีเหตุขัดข้องบางอย่าง ไม่สามารถบันทึกข้อมูลได้ครับ" ;
}
} // จบการตรวจสอบ ถ้ายังไม่มีข้อความ
else { // ถ้าเกิดมีข้อความในฐานข้อมูลแล้ว แต่ต้องการเปลี่ยนใหม่ หรือแก้ไข
$result = mysql_query("update mail set form_mail='$message'") ;
if($result) {
echo "<center><br><br><font size='3' face='MS Sans Serif'><b>บันทึกข้อความใหม่เรียบร้อยแล้วครับ ระบบกำลังจะพาคุณไปสู่หน้าการส่งอีเมล์</b></font></center>" ;
echo "<meta http-equiv='refresh' content='3; url=mail_member.php'>" ;
}
} // จบถ้ามีข้อความอยุ่แล้ว

} // จบถ้ามีข้อความ
}// จบ function บันทึกข้อความ

// ส่งเมล์อวยพรวันเำกิด 
function sendmail($admin_email) { 
$date = date("j") ;
$month = date("n") ;
$from = "From:\"$admin_email\"<$admin_email>\r\n" ;

$result_mail = mysql_query("select * from mail") or die ("Err program") ;
$mail_arr = mysql_fetch_array($result_mail) ;

$subject = $mail_arr['subject'] ;

$message .= $mail_arr['form_mail'] ;
$message = eregi_replace("<br />","",$message) ;

$result = mysql_query("select * from member where date='$date' and month='$month'") or die ("Err Programe") ;
$num = mysql_num_rows($result) ;
if($num==0) {
echo "<br><br><center><font size='3' face='MS Sans Serif'><b>ขออภัยด้วยครับ ไม่มีสมาชิกที่เกิดวันนี้ครับ จึงไม่สามารถส่งอีเมล์ได้</b>" ;
echo "<br><br><a href='menu.php'>กลับสู่หน้าหลัก</a></font></center>" ;
}
else {
while($dbarr = mysql_fetch_array($result)) {
$email_member = $dbarr['email'] ;
$send = mail($email_member,$subject,$message,$from) ;
}
if($send) {
echo "<br><br><center><font size='3' face='MS Sans Serif'><b>ระบบได้จัดส่งอีเมล์ไปให้สมาชิกเรียบร้อยแล้วครับ</b></font></center>" ;
echo "<br><br><center><a href='mail_member.php'><font size='2' face='MS Sans Serif'><b>กลับสู่หน้าส่งอีเมล์</b></font></a></center>" ;
}
else {
echo "<br><br><center><font size='3' face='MS Sans Serif'><b>ไม่สามารถส่งอีเมล์ได้ครับ</b></font></center>" ;
}
}
}

function sendmail_total($subject_total ,$message_total,$admin_email) {
$from = "From:\"$admin_email\"<$admin_email>" ;

$subject = $subject_total ;
$message = $message_total ;
$result = mysql_query("select email from member") ;
while($dbarr = mysql_fetch_array($result)) {
$send = mail($dbarr['email'],$subject,$message,$from) ;
}

if($send) {
echo "<br><br><center><font size='2' face='MS Sans Serif'><b>ส่งอีเมล์หาสมาชิกทั้งหมดเรียบร้อยแล้วครับ</b></font></center>" ;
echo "<meta http-equiv='refresh' content='2;url=mail_member.php'>" ;
exit() ;
}
else {
echo "<br><br><center><font size='2' face='MS Sans Serif'><b>มีเหตุขัดข้องไม่สามารถส่งอีเมล์หาสมาชิกได้ครับ</b></font></center>" ;
echo "<meta http-equiv='refresh' content='3;url=mail_member.php'>" ;
exit() ;
}
}

function smail($subject,$message,$email,$admin_email) {
$from = "From:\"$admin_email\"<$admin_email>" ;
$send = mail($email,$subject,$message,$from) ;

if($send) {
echo "<br><br><center><font size='2' face='MS Sans Serif'><b>ส่งอีเมล์หาสมาชิกเรียบร้อยแล้วครับ</b></font></center>" ;
//echo "<meta http-equiv='refresh' content='2;url=mail_member.php'>" ;
exit() ;
}
else {
echo "<br><br><center><font size='2' face='MS Sans Serif'><b>มีเหตุขัดข้องไม่สามารถส่งอีเมล์หาสมาชิกได้ครับ</b></font></center>" ;
//echo "<meta http-equiv='refresh' content='3;url=mail_member.php'>" ;
exit() ;
}
}


 ?>
</body>

